Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Dec 2017, 16:43
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Quirky Pyro64 version 0.6 (alpha) -- and Pyro32 0.5
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 14 [209 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 12, 13, 14 Next
Author Message
don570


Joined: 10 Mar 2010
Posts: 4815
Location: Ontario

PostPosted: Thu 25 May 2017, 18:50    Post subject: mp in repository  

I can only use mp editor in nox Crying or Very sad
version 3.2.13 is old so it supports only ascii characters.


http://distro.ibiblio.org/quirky/quirky6/amd64/packages/oe/pyro/mped-3.2.13-r0-core2-64.tar.xz

____________________________________

nano when it compiled for minimum size only supports ascii characters too.

_____________________________________________
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 3431
Location: www.eussenheim.de/

PostPosted: Fri 26 May 2017, 08:18    Post subject: Re: mp in repository  

don570 wrote:
I can only use mp editor in nox Crying or Very sad

If I recall correctly I have been using editor vi
Wink (write: "esc : w") (quit: "esc : q")

My intel experience
My Pyro64 is on 8G USB stick
I have put it into my other box Acer Aspire R3-131T
Booted to command line
launched xorgwizard
chose intel ...

..and got a graphical desktop (1366x768) on that computer
drm_kms_helper did not hurt
unchanged 20-gpudriver.conf did not hurt

I like Quirky Pyro64 Very Happy
Back to top
View user's profile Send private message 
FeodorF


Joined: 07 Jul 2010
Posts: 222
Location: Heidelberg, Germany

PostPosted: Fri 26 May 2017, 09:18    Post subject:  

If anybody needs some screen drivers for further testing of 'pyro64-0.2' you'll find them at: 'Slacko64-6.3.2'
drivers.list.png
 Description   
 Filesize   29.47 KB
 Viewed   457 Time(s)

drivers.list.png

Back to top
View user's profile Send private message 
FeodorF


Joined: 07 Jul 2010
Posts: 222
Location: Heidelberg, Germany

PostPosted: Fri 26 May 2017, 15:57    Post subject:  

Success!
Adding direct rendering to pyro64-0.2:

Slacko64-6.3.2.sfs/usr/lib64/libGLEW.so.1.9.0
Slacko64-6.3.2.sfs/usr/bin/glxinfo
Slacko64-6.3.2.sfs/usr/bin/glxgears

    f.e. /usr/bin/glxinfo
    ...
    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Intel(R) 965Q
    OpenGL version string: 2.1 Mesa 17.0.2
    OpenGL shading language version string: 1.20
    ...

    Section "Device"
    ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
    ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
    ### <percent>: "<f>%"
    ### [arg]: arg optional
    #Option "Accel" # [<bool>]
    #Option "AccelMethod" # <str>
    #Option "Backlight" # <str>
    #Option "CustomEDID" # <str>
    Option "DRI" # <str>
    #Option "Present" # [<bool>]
    #Option "ColorKey" # <i>
    #Option "VideoKey" # <i>
    #Option "Tiling" # [<bool>]
    #Option "LinearFramebuffer" # [<bool>]
    #Option "HWRotation" # [<bool>]
    #Option "VSync" # [<bool>]
    #Option "PageFlip" # [<bool>]
    #Option "SwapbuffersWait" # [<bool>]
    #Option "TripleBuffer" # [<bool>]
    #Option "XvPreferOverlay" # [<bool>]
    #Option "HotPlug" # [<bool>]
    #Option "ReprobeOutputs" # [<bool>]
    #Option "XvMC" # [<bool>]
    #Option "ZaphodHeads" # <str>
    #Option "VirtualHeads" # <i>
    #Option "TearFree" # [<bool>]
    #Option "PerCrtcPixmaps" # [<bool>]
    Identifier "card0"
    Driver "intel" #card0driver
    EndSection
IntelDRI.png
 Description   
 Filesize   27.49 KB
 Viewed   392 Time(s)

IntelDRI.png

GLXinfo.png
 Description   
 Filesize   4.27 KB
 Viewed   409 Time(s)

GLXinfo.png

Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 8349
Location: Perth, Western Australia

PostPosted: Sat 27 May 2017, 07:19    Post subject: Re: Ye olde Minimum Profit  

[quote="L18L"]
don570 wrote:
Compiled Ye olde Minimum Profit, result:

- Menu is ok

- no unicode (öäüßÄÖÜ° for German, other languages [just es it nl ] will have others)
mp-3.3.17/TODO wrote:
Pending Enhancements
--------------------

* 1007: Add Unicode support.

Crying or Very sad

EDIT
mp-5.2.10 ' s TODO contains:
Code:
Closed
----------
 * 1276: Fix win32 processing of Unicode characters
   (Mon, 27 Jul 2009 16:52:20 +0200).

Wait and see..

EDIT ...2 minutes later
SUCCESS
see capture2630


Version 3.3.18b was the last in the 3.x series. I wonder if that improved unicode support?

_________________
http://barryk.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 8349
Location: Perth, Western Australia

PostPosted: Sat 27 May 2017, 07:23    Post subject: Re: Ye olde Minimum Profit  

L18L wrote:
mp-5.2.10 ' s TODO contains:
Code:
Closed
----------
 * 1276: Fix win32 processing of Unicode characters
   (Mon, 27 Jul 2009 16:52:20 +0200).

Wait and see..

EDIT ...2 minutes later
SUCCESS


The reason that I did not use that version, is could not figure out how to fix the <home> and <end> keys. They did not move the cursor to beginning and end of a line.

The 5.x series does not use /etc/mprc or ~/.mprc, has some other way of configuring.

L18L, if you can solve that one, I will definitely consider moving to 5.2.10!

_________________
http://barryk.org/news/
Back to top
View user's profile Send private message Visit poster's website 
don570


Joined: 10 Mar 2010
Posts: 4815
Location: Ontario

PostPosted: Sat 27 May 2017, 11:33    Post subject:  

Quote:
Version 3.3.18b was the last in the 3.x series. I wonder if that improved unicode support?


It's easy to check if a text editor supports unicode.
Just create a UTF-8 text file with strange foreign characters inside.
Then open the file with your text editor and
see if the foreign characters (such as öäüßÄÖÜ°) show in the window.

Compile with source...
http://distro.ibiblio.org/quirky/quirky6/sources/alphabetical/m/mp-3.3.18b.tar.gz
______________________________________________

I did a full install of pyro to a partition using Barry's script,
but still getting message that Screen section of my xorg.conf
is not correct whereas xorgwizard message says everything is fine.
___________________________________________________________
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 11298
Location: Gatineau (Qc), Canada

PostPosted: Sat 27 May 2017, 13:09    Post subject:  

Hello all.

Perhaps try Joe's Own Editor instead?

I've been using it for a few years on various Puppies and I never had a
UTF-8 problem with it, in or out of Xorg.

It's been around since 1988, development is still active, and it's almost
as powerful as geany.

Best regards.

_________________
musher0
~~~~~~~~~~
"Logical entities must not be multiplied beyond necessity." | |
« Il ne faut pas multiplier les entités logiques sans nécessité. » (Ockham)
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 3431
Location: www.eussenheim.de/

PostPosted: Sun 28 May 2017, 05:08    Post subject: Re: Ye olde Minimum Profit
Subject description: 3.3.18b -> 5.2.10
 

BarryK wrote:
Version 3.3.18b was the last in the 3.x series. I wonder if that improved unicode support?

This was the first one I have compiled and checked (Menu items contain utf8).

Then compiled 3.3.17 because you named it in your blog.

Then compiled 5.2.10
Quote:
The reason that I did not use that version, is could not figure out how to fix the <home> and <end> keys. They did not move the cursor to beginning and end of a line.

No problem here:
Key labelled "Ende" moves cursor to end of line
Key labelled "Pos1" moves cursor to beginning of line
without any configuration, OOTB.
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 3431
Location: www.eussenheim.de/

PostPosted: Sun 28 May 2017, 05:24    Post subject: dri for intel i915 and gma500  

don570 wrote:
I did a full install of pyro to a partition using Barry's script,
but still getting message that Screen section of my xorg.conf
is not correct whereas xorgwizard message says everything is fine.


I did not use that script.
I have been using:
Code:
xz --decompress --stdout pyro64-0.2-8gb.img.xz  > /dev/sdb
sync

_________________

Result of latest experiment:

/etc/X11/xorg.conf.d/20-gpudriver.conf must be and stay
Code:
 Section "Device"
    Identifier "gma500_gfx"
    Driver     "modesetting"
    Option     "SWCursor"       "ON"
 EndSection
for intel poulsbo graphics (gma500) running modesetting driver.

For intel i915 gpu it must stay unchanged or not exist, tested on my 2 boxes.
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 3431
Location: www.eussenheim.de/

PostPosted: Sun 28 May 2017, 11:03    Post subject: Re: Ye olde Minimum Profit
Subject description: 3.3.18b -> 5.2.10
 

L18L wrote:
Then compiled 5.2.10
Quote:
The reason that I did not use that version, is could not figure out how to fix the <home> and <end> keys. They did not move the cursor to beginning and end of a line.

No problem here:
Key labelled "Ende" moves cursor to end of line
Key labelled "Pos1" moves cursor to beginning of line
without any configuration, OOTB.

That was using a standard external keyboard.
With my convertible Acer Aspire R3-131T I had to hold additionally Fn key (the key between Ctrl and window)
SOLVED?
Back to top
View user's profile Send private message 
FeodorF


Joined: 07 Jul 2010
Posts: 222
Location: Heidelberg, Germany

PostPosted: Sun 28 May 2017, 17:02    Post subject:  CUPS V.2.2.2
Subject description: Problem solved!
 

Success!

CUPS works great.

Tested with Samsung mono laser printer pet (64bit).


-------------------------------------------old entry deleted--------------------------------------

Last edited by FeodorF on Thu 08 Jun 2017, 03:08; edited 4 times in total
Back to top
View user's profile Send private message 
FeodorF


Joined: 07 Jul 2010
Posts: 222
Location: Heidelberg, Germany

PostPosted: Sun 28 May 2017, 17:13    Post subject: LibreOffice V. 5.0.6.3  

As soon as you try to save a text file in LibreOffice it will pop up a warning message. Ref: LibreOffice V 5.0.6.3

LibreOffice V 5.1.2.2. works fine in Quirky Xerus 8.1.6 for x86_64.

I think this problem is related to my 'full installation to a partition'! I'll have to do more testing on this issue.

Did some more testing. It's not the file system.
ErrorWhileSaving.png
 Description   
 Filesize   10.96 KB
 Viewed   235 Time(s)

ErrorWhileSaving.png


Last edited by FeodorF on Sun 28 May 2017, 22:24; edited 1 time in total
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 8349
Location: Perth, Western Australia

PostPosted: Sun 28 May 2017, 21:37    Post subject: Re: dri for intel i915 and gma500  

L18L wrote:
don570 wrote:
I did a full install of pyro to a partition using Barry's script,
but still getting message that Screen section of my xorg.conf
is not correct whereas xorgwizard message says everything is fine.


I did not use that script.
I have been using:
Code:
xz --decompress --stdout pyro64-0.2-8gb.img.xz  > /dev/sdb
sync

_________________

Result of latest experiment:

/etc/X11/xorg.conf.d/20-gpudriver.conf must be and stay
Code:
 Section "Device"
    Identifier "gma500_gfx"
    Driver     "modesetting"
    Option     "SWCursor"       "ON"
 EndSection
for intel poulsbo graphics (gma500) running modesetting driver.

For intel i915 gpu it must stay unchanged or not exist, tested on my 2 boxes.


Yes, interesting thing about that 20-gpudriver.conf. On my "new" middy-tower PC, which has Intel graphics but not poulsbro, that 20-gpudriver.conf caused xorg to choose the 'modesetting' driver.

I renamed it to 20-gpudriver.confHIDE, restarted X and got the intel driver.

So, next release will have it as /etc/X11/xorg.conf.d/20-gpudriver.confHIDE, someone with poulsbro video can change the name.

_________________
http://barryk.org/news/
Back to top
View user's profile Send private message Visit poster's website 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 8349
Location: Perth, Western Australia

PostPosted: Sun 28 May 2017, 21:42    Post subject: Re: Ye olde Minimum Profit
Subject description: 3.3.18b -> 5.2.10
 

L18L wrote:
BarryK wrote:
Version 3.3.18b was the last in the 3.x series. I wonder if that improved unicode support?

This was the first one I have compiled and checked (Menu items contain utf8).

Then compiled 3.3.17 because you named it in your blog.

Then compiled 5.2.10
Quote:
The reason that I did not use that version, is could not figure out how to fix the <home> and <end> keys. They did not move the cursor to beginning and end of a line.

No problem here:
Key labelled "Ende" moves cursor to end of line
Key labelled "Pos1" moves cursor to beginning of line
without any configuration, OOTB.


Hmmm, <home> and <end> keys did not work for me OOTB.
I was using en_US-UTF8, if that is a factor.

_________________
http://barryk.org/news/
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 3 of 14 [209 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 12, 13, 14 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1074s ][ Queries: 14 (0.0053s) ][ GZIP on ]